Subject: Re: Can I avoid linking with libelf ?

From: [email-masked] (Casper H.S. Dik)
Date: 15 Apr 1994 08:26:21 GMT

[email-masked] (Gordon Vickers) writes:

>        I am porting an application (product)  from good 'ol Sun 4.1.3 to 
> the regrettable-inevitable (s-o-l-a-r-i-s 2.3) using Sunpro's C
> compiler on the 2.3 side. 
>    Things are coming together BUT, it seems that I must link with 
>  libelf if I am to use nlist().  Nlist() is the only function I need
>  from that library but linking to adds 100+K bytes!
>    Anyone awhere of some quick-to-implimnet alternitives ?

>  Any suggestions would be greatly appreciated.
>  I would prefer email responses and will provide summaries upon request.

Link dynamically.  Statically linked applications are not supported.
(I.e., if you link statically now, you applications will break much
sooner than when you link dynamically).

Casper